# WebhookRepresentation<!-- -->

Minimal representation of an ad-hoc webhook attached to a single Actor run or build via the `webhooks` query parameter. The query parameter value is a Base64-encoded JSON array whose items match this schema. Persistent webhook fields (e.g. `condition`) are not used here.

## Index[**](#Index)

### Properties

* [**event\_types](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentation.md#event_types)
* [**headers\_template](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentation.md#headers_template)
* [**model\_config](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentation.md#model_config)
* [**payload\_template](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentation.md#payload_template)
* [**request\_url](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentation.md#request_url)

## Properties<!-- -->[**](#Properties)

### [**](#event_types)event\_types

**event\_types: [list](https://docs.apify.com/api/client/python/api/client/python/reference/class/ActorEnvVarCollectionClient.md#list)\[[WebhookEventType](https://docs.apify.com/api/client/python/api/client/python/reference.md#WebhookEventType)]

### [**](#headers_template)headers\_template

**headers\_template: str | None

Optional template for the HTTP headers sent by the webhook.

### [**](#model_config)model\_config

**model\_config: Undefined

### [**](#payload_template)payload\_template

**payload\_template: str | None

Optional template for the JSON payload sent by the webhook.

### [**](#request_url)request\_url

**request\_url: str

The URL to which the webhook sends its payload.
